flutter how to add getx package to exist project

  •  先安装package
get: ^4.1.4
  • 运行
flutter pub get -v

get package

  • 执行
flutter pub global activate get_cli

启动 cli 工具

 

  • 执行
get -v

看是否显示getx的版本 , 能正确显示版本说明到此为止正确

  • 比如现有的目录是这样的  /lib/widgets/layout/sms.dart

想给sms.dart文件加一个controller ,  可以执行 :

get create controller:bulksms  on widgets/layoutget

 

以上命令来自于 :https://github.com/jonataslaw/get_cli

 

 

 

 

CategoriesUncategorized